---
id: "rnmenu"
title: "RNMenu"
sidebar_label: "RNMenu"
---

## Hierarchy

* QMenu

  ↳ **RNMenu**

## Implements

* RNWidget

## Index

### Constructors

* [constructor](rnmenu.md#constructor)

### Properties

* [_rawInlineStyle](rnmenu.md#_rawinlinestyle)
* [actions](rnmenu.md#actions)
* [layout](rnmenu.md#optional-layout)
* [native](rnmenu.md#native)
* [nodeChildren](rnmenu.md#nodechildren)
* [nodeParent](rnmenu.md#optional-nodeparent)
* [type](rnmenu.md#type)
* [tagName](rnmenu.md#static-tagname)

### Methods

* [acceptDrops](rnmenu.md#acceptdrops)
* [activateWindow](rnmenu.md#activatewindow)
* [addAction](rnmenu.md#addaction)
* [addEventListener](rnmenu.md#addeventlistener)
* [addSeparator](rnmenu.md#addseparator)
* [adjustSize](rnmenu.md#adjustsize)
* [appendChild](rnmenu.md#appendchild)
* [appendInitialChild](rnmenu.md#appendinitialchild)
* [close](rnmenu.md#close)
* [exec](rnmenu.md#exec)
* [font](rnmenu.md#font)
* [geometry](rnmenu.md#geometry)
* [getFlexNode](rnmenu.md#getflexnode)
* [hasMouseTracking](rnmenu.md#hasmousetracking)
* [hide](rnmenu.md#hide)
* [inherits](rnmenu.md#inherits)
* [insertBefore](rnmenu.md#insertbefore)
* [isEnabled](rnmenu.md#isenabled)
* [isVisible](rnmenu.md#isvisible)
* [lower](rnmenu.md#lower)
* [mapFromGlobal](rnmenu.md#mapfromglobal)
* [mapFromParent](rnmenu.md#mapfromparent)
* [mapToGlobal](rnmenu.md#maptoglobal)
* [mapToParent](rnmenu.md#maptoparent)
* [maximumSize](rnmenu.md#maximumsize)
* [minimumSize](rnmenu.md#minimumsize)
* [move](rnmenu.md#move)
* [objectName](rnmenu.md#objectname)
* [popup](rnmenu.md#popup)
* [pos](rnmenu.md#pos)
* [property](rnmenu.md#property)
* [raise](rnmenu.md#raise)
* [removeAction](rnmenu.md#removeaction)
* [removeChild](rnmenu.md#removechild)
* [removeEventListener](rnmenu.md#removeeventlistener)
* [repaint](rnmenu.md#repaint)
* [repolish](rnmenu.md#repolish)
* [resize](rnmenu.md#resize)
* [setAcceptDrops](rnmenu.md#setacceptdrops)
* [setAttribute](rnmenu.md#setattribute)
* [setContextMenuPolicy](rnmenu.md#setcontextmenupolicy)
* [setCursor](rnmenu.md#setcursor)
* [setEnabled](rnmenu.md#setenabled)
* [setFixedSize](rnmenu.md#setfixedsize)
* [setFlexNodeSizeControlled](rnmenu.md#setflexnodesizecontrolled)
* [setFocus](rnmenu.md#setfocus)
* [setFont](rnmenu.md#setfont)
* [setGeometry](rnmenu.md#setgeometry)
* [setGraphicsEffect](rnmenu.md#setgraphicseffect)
* [setInlineStyle](rnmenu.md#setinlinestyle)
* [setLayout](rnmenu.md#setlayout)
* [setMaximumSize](rnmenu.md#setmaximumsize)
* [setMinimumSize](rnmenu.md#setminimumsize)
* [setMouseTracking](rnmenu.md#setmousetracking)
* [setNodeParent](rnmenu.md#setnodeparent)
* [setObjectName](rnmenu.md#setobjectname)
* [setProperty](rnmenu.md#setproperty)
* [setProps](rnmenu.md#setprops)
* [setStyleSheet](rnmenu.md#setstylesheet)
* [setTitle](rnmenu.md#settitle)
* [setWindowFlag](rnmenu.md#setwindowflag)
* [setWindowIcon](rnmenu.md#setwindowicon)
* [setWindowOpacity](rnmenu.md#setwindowopacity)
* [setWindowState](rnmenu.md#setwindowstate)
* [setWindowTitle](rnmenu.md#setwindowtitle)
* [show](rnmenu.md#show)
* [showFullScreen](rnmenu.md#showfullscreen)
* [showMaximized](rnmenu.md#showmaximized)
* [showMinimized](rnmenu.md#showminimized)
* [showNormal](rnmenu.md#shownormal)
* [size](rnmenu.md#size)
* [styleSheet](rnmenu.md#stylesheet)
* [testAttribute](rnmenu.md#testattribute)
* [update](rnmenu.md#update)
* [updateGeometry](rnmenu.md#updategeometry)
* [windowOpacity](rnmenu.md#windowopacity)
* [windowState](rnmenu.md#windowstate)
* [windowTitle](rnmenu.md#windowtitle)

## Constructors

###  constructor

\+ **new RNMenu**(): *[RNMenu](rnmenu.md)*

*Inherited from [RNMenu](rnmenu.md).[constructor](rnmenu.md#constructor)*

*Overrides void*

**Returns:** *[RNMenu](rnmenu.md)*

\+ **new RNMenu**(`parent`: NodeWidget‹any›): *[RNMenu](rnmenu.md)*

*Inherited from [RNMenu](rnmenu.md).[constructor](rnmenu.md#constructor)*

*Overrides void*

**Parameters:**

Name | Type |
------ | ------ |
`parent` | NodeWidget‹any› |

**Returns:** *[RNMenu](rnmenu.md)*

## Properties

###  _rawInlineStyle

• **_rawInlineStyle**: *string*

*Inherited from void*

___

###  actions

• **actions**: *Set‹QAction›*

*Inherited from void*

___

### `Optional` layout

• **layout**? : *NodeLayout‹QMenuSignals›*

*Inherited from void*

___

###  native

• **native**: *NativeElement*

*Inherited from [RNMenu](rnmenu.md).[native](rnmenu.md#native)*

*Overrides void*

___

###  nodeChildren

• **nodeChildren**: *Set‹Component›*

*Inherited from [RNAction](rnaction.md).[nodeChildren](rnaction.md#nodechildren)*

___

### `Optional` nodeParent

• **nodeParent**? : *Component*

*Inherited from [RNAction](rnaction.md).[nodeParent](rnaction.md#optional-nodeparent)*

___

###  type

• **type**: *string*

*Inherited from void*

___

### `Static` tagName

▪ **tagName**: *string* = "menu"

## Methods

###  acceptDrops

▸ **acceptDrops**(): *boolean*

*Inherited from void*

**Returns:** *boolean*

___

###  activateWindow

▸ **activateWindow**(): *void*

*Inherited from void*

**Returns:** *void*

___

###  addAction

▸ **addAction**(`action`: QAction | string): *QAction*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`action` | QAction &#124; string |

**Returns:** *QAction*

___

###  addEventListener

▸ **addEventListener**‹**SignalType**›(`signalType`: SignalType, `callback`: QMenuSignals[SignalType]): *void*

*Inherited from [RNAction](rnaction.md).[addEventListener](rnaction.md#addeventlistener)*

**Type parameters:**

▪ **SignalType**: *keyof QMenuSignals*

**Parameters:**

Name | Type | Description |
------ | ------ | ------ |
`signalType` | SignalType | SignalType is a signal from the widgets signals interface. |
`callback` | QMenuSignals[SignalType] | Corresponding callback for the signal as mentioned in the widget's signal interface |

**Returns:** *void*

void

For example in the case of QPushButton:
```js
const button = new QPushButton();
button.addEventListener('clicked',(checked)=>console.log("clicked"));
// here clicked is a value from QPushButtonSignals interface
```

▸ **addEventListener**(`eventType`: WidgetEventTypes, `callback`: function): *void*

*Inherited from [RNAction](rnaction.md).[addEventListener](rnaction.md#addeventlistener)*

**Parameters:**

▪ **eventType**: *WidgetEventTypes*

▪ **callback**: *function*

For example in the case of QPushButton:
```js
const button = new QPushButton();
button.addEventListener(WidgetEventTypes.HoverEnter,()=>console.log("hovered"));
```

▸ (`event?`: NativeRawPointer‹"QEvent"›): *void*

**Parameters:**

Name | Type |
------ | ------ |
`event?` | NativeRawPointer‹"QEvent"› |

**Returns:** *void*

___

###  addSeparator

▸ **addSeparator**(): *QAction*

*Inherited from [RNMenu](rnmenu.md).[addSeparator](rnmenu.md#addseparator)*

**Returns:** *QAction*

___

###  adjustSize

▸ **adjustSize**(): *void*

*Inherited from void*

**Returns:** *void*

___

###  appendChild

▸ **appendChild**(`child`: Component): *void*

**Parameters:**

Name | Type |
------ | ------ |
`child` | Component |

**Returns:** *void*

___

###  appendInitialChild

▸ **appendInitialChild**(`child`: Component): *void*

**Parameters:**

Name | Type |
------ | ------ |
`child` | Component |

**Returns:** *void*

___

###  close

▸ **close**(): *boolean*

*Inherited from void*

**Returns:** *boolean*

___

###  exec

▸ **exec**(`point?`: QPoint, `action?`: QAction | null): *void*

*Inherited from [RNMenu](rnmenu.md).[exec](rnmenu.md#exec)*

**Parameters:**

Name | Type |
------ | ------ |
`point?` | QPoint |
`action?` | QAction &#124; null |

**Returns:** *void*

___

###  font

▸ **font**(): *QFont*

*Inherited from void*

**Returns:** *QFont*

___

###  geometry

▸ **geometry**(): *QRect*

*Inherited from void*

**Returns:** *QRect*

___

###  getFlexNode

▸ **getFlexNode**(): *FlexNode*

*Inherited from void*

**Returns:** *FlexNode*

___

###  hasMouseTracking

▸ **hasMouseTracking**(): *boolean*

*Inherited from void*

**Returns:** *boolean*

___

###  hide

▸ **hide**(): *void*

*Inherited from void*

**Returns:** *void*

___

###  inherits

▸ **inherits**(`className`: string): *boolean*

*Inherited from [RNAction](rnaction.md).[inherits](rnaction.md#inherits)*

**Parameters:**

Name | Type |
------ | ------ |
`className` | string |

**Returns:** *boolean*

___

###  insertBefore

▸ **insertBefore**(`child`: Component, `beforeChild`: Component): *void*

**Parameters:**

Name | Type |
------ | ------ |
`child` | Component |
`beforeChild` | Component |

**Returns:** *void*

___

###  isEnabled

▸ **isEnabled**(): *boolean*

*Inherited from void*

**Returns:** *boolean*

___

###  isVisible

▸ **isVisible**(): *boolean*

*Inherited from void*

**Returns:** *boolean*

___

###  lower

▸ **lower**(): *void*

*Inherited from void*

**Returns:** *void*

___

###  mapFromGlobal

▸ **mapFromGlobal**(`pos`: QPoint): *QPoint*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`pos` | QPoint |

**Returns:** *QPoint*

___

###  mapFromParent

▸ **mapFromParent**(`pos`: QPoint): *QPoint*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`pos` | QPoint |

**Returns:** *QPoint*

___

###  mapToGlobal

▸ **mapToGlobal**(`pos`: QPoint): *QPoint*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`pos` | QPoint |

**Returns:** *QPoint*

___

###  mapToParent

▸ **mapToParent**(`pos`: QPoint): *QPoint*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`pos` | QPoint |

**Returns:** *QPoint*

___

###  maximumSize

▸ **maximumSize**(): *QSize*

*Inherited from void*

**Returns:** *QSize*

___

###  minimumSize

▸ **minimumSize**(): *QSize*

*Inherited from void*

**Returns:** *QSize*

___

###  move

▸ **move**(`x`: number, `y`: number): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`x` | number |
`y` | number |

**Returns:** *void*

___

###  objectName

▸ **objectName**(): *string*

*Inherited from [RNAction](rnaction.md).[objectName](rnaction.md#objectname)*

**Returns:** *string*

___

###  popup

▸ **popup**(`point`: QPoint, `action?`: QAction): *void*

*Inherited from [RNMenu](rnmenu.md).[popup](rnmenu.md#popup)*

**Parameters:**

Name | Type |
------ | ------ |
`point` | QPoint |
`action?` | QAction |

**Returns:** *void*

___

###  pos

▸ **pos**(): *object*

*Inherited from void*

**Returns:** *object*

* **x**: *number*

* **y**: *number*

___

###  property

▸ **property**(`name`: string): *QVariant*

*Inherited from [RNAction](rnaction.md).[property](rnaction.md#property)*

**Parameters:**

Name | Type |
------ | ------ |
`name` | string |

**Returns:** *QVariant*

___

###  raise

▸ **raise**(): *void*

*Inherited from void*

**Returns:** *void*

___

###  removeAction

▸ **removeAction**(`action`: QAction): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`action` | QAction |

**Returns:** *void*

___

###  removeChild

▸ **removeChild**(`child`: Component): *void*

**Parameters:**

Name | Type |
------ | ------ |
`child` | Component |

**Returns:** *void*

___

###  removeEventListener

▸ **removeEventListener**‹**SignalType**›(`signalType`: SignalType, `callback`: QMenuSignals[SignalType]): *void*

*Inherited from [RNAction](rnaction.md).[removeEventListener](rnaction.md#removeeventlistener)*

**Type parameters:**

▪ **SignalType**: *keyof QMenuSignals*

**Parameters:**

Name | Type |
------ | ------ |
`signalType` | SignalType |
`callback` | QMenuSignals[SignalType] |

**Returns:** *void*

▸ **removeEventListener**(`eventType`: WidgetEventTypes, `callback`: function): *void*

*Inherited from [RNAction](rnaction.md).[removeEventListener](rnaction.md#removeeventlistener)*

**Parameters:**

▪ **eventType**: *WidgetEventTypes*

▪ **callback**: *function*

▸ (`event?`: NativeRawPointer‹"QEvent"›): *void*

**Parameters:**

Name | Type |
------ | ------ |
`event?` | NativeRawPointer‹"QEvent"› |

**Returns:** *void*

___

###  repaint

▸ **repaint**(): *void*

*Inherited from void*

**Returns:** *void*

___

###  repolish

▸ **repolish**(): *void*

*Inherited from void*

**Returns:** *void*

___

###  resize

▸ **resize**(`width`: number, `height`: number): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`width` | number |
`height` | number |

**Returns:** *void*

___

###  setAcceptDrops

▸ **setAcceptDrops**(`on`: boolean): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`on` | boolean |

**Returns:** *void*

___

###  setAttribute

▸ **setAttribute**(`attribute`: WidgetAttribute, `switchOn`: boolean): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`attribute` | WidgetAttribute |
`switchOn` | boolean |

**Returns:** *void*

___

###  setContextMenuPolicy

▸ **setContextMenuPolicy**(`contextMenuPolicy`: ContextMenuPolicy): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`contextMenuPolicy` | ContextMenuPolicy |

**Returns:** *void*

___

###  setCursor

▸ **setCursor**(`cursor`: CursorShape | QCursor): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`cursor` | CursorShape &#124; QCursor |

**Returns:** *void*

___

###  setEnabled

▸ **setEnabled**(`enabled`: boolean): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`enabled` | boolean |

**Returns:** *void*

___

###  setFixedSize

▸ **setFixedSize**(`width`: number, `height`: number): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`width` | number |
`height` | number |

**Returns:** *void*

___

###  setFlexNodeSizeControlled

▸ **setFlexNodeSizeControlled**(`isSizeControlled`: boolean): *void*

*Inherited from void*

sets whether the widget's size is controlled by someone else (for example a window's size is controlled by its frame when dragged).

**Parameters:**

Name | Type | Description |
------ | ------ | ------ |
`isSizeControlled` | boolean |   |

**Returns:** *void*

___

###  setFocus

▸ **setFocus**(`reason`: FocusReason): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`reason` | FocusReason |

**Returns:** *void*

___

###  setFont

▸ **setFont**(`font`: QFont): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`font` | QFont |

**Returns:** *void*

___

###  setGeometry

▸ **setGeometry**(`x`: number, `y`: number, `w`: number, `h`: number): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`x` | number |
`y` | number |
`w` | number |
`h` | number |

**Returns:** *void*

___

###  setGraphicsEffect

▸ **setGraphicsEffect**(`effect`: QGraphicsEffect‹any›): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`effect` | QGraphicsEffect‹any› |

**Returns:** *void*

___

###  setInlineStyle

▸ **setInlineStyle**(`style`: string): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`style` | string |

**Returns:** *void*

___

###  setLayout

▸ **setLayout**(`parentLayout`: NodeLayout‹QMenuSignals›): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`parentLayout` | NodeLayout‹QMenuSignals› |

**Returns:** *void*

___

###  setMaximumSize

▸ **setMaximumSize**(`maxw`: number, `maxh`: number): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`maxw` | number |
`maxh` | number |

**Returns:** *void*

___

###  setMinimumSize

▸ **setMinimumSize**(`minw`: number, `minh`: number): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`minw` | number |
`minh` | number |

**Returns:** *void*

___

###  setMouseTracking

▸ **setMouseTracking**(`isMouseTracked`: boolean): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`isMouseTracked` | boolean |

**Returns:** *void*

___

###  setNodeParent

▸ **setNodeParent**(`parent?`: Component): *void*

*Inherited from [RNAction](rnaction.md).[setNodeParent](rnaction.md#setnodeparent)*

**Parameters:**

Name | Type |
------ | ------ |
`parent?` | Component |

**Returns:** *void*

___

###  setObjectName

▸ **setObjectName**(`objectName`: string): *void*

*Inherited from void*

*Overrides [RNAction](rnaction.md).[setObjectName](rnaction.md#setobjectname)*

**Parameters:**

Name | Type |
------ | ------ |
`objectName` | string |

**Returns:** *void*

___

###  setProperty

▸ **setProperty**(`name`: string, `value`: QVariantType): *boolean*

*Inherited from [RNAction](rnaction.md).[setProperty](rnaction.md#setproperty)*

**Parameters:**

Name | Type |
------ | ------ |
`name` | string |
`value` | QVariantType |

**Returns:** *boolean*

___

###  setProps

▸ **setProps**(`newProps`: [MenuProps](../interfaces/menuprops.md), `oldProps`: [MenuProps](../interfaces/menuprops.md)): *void*

**Parameters:**

Name | Type |
------ | ------ |
`newProps` | [MenuProps](../interfaces/menuprops.md) |
`oldProps` | [MenuProps](../interfaces/menuprops.md) |

**Returns:** *void*

___

###  setStyleSheet

▸ **setStyleSheet**(`styleSheet`: string): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`styleSheet` | string |

**Returns:** *void*

___

###  setTitle

▸ **setTitle**(`title`: string): *void*

*Inherited from [RNMenu](rnmenu.md).[setTitle](rnmenu.md#settitle)*

**Parameters:**

Name | Type |
------ | ------ |
`title` | string |

**Returns:** *void*

___

###  setWindowFlag

▸ **setWindowFlag**(`windowType`: WindowType, `switchOn`: boolean): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`windowType` | WindowType |
`switchOn` | boolean |

**Returns:** *void*

___

###  setWindowIcon

▸ **setWindowIcon**(`icon`: QIcon): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`icon` | QIcon |

**Returns:** *void*

___

###  setWindowOpacity

▸ **setWindowOpacity**(`opacity`: number): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`opacity` | number |

**Returns:** *void*

___

###  setWindowState

▸ **setWindowState**(`state`: WindowState): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`state` | WindowState |

**Returns:** *void*

___

###  setWindowTitle

▸ **setWindowTitle**(`title`: string): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`title` | string |

**Returns:** *void*

___

###  show

▸ **show**(): *void*

*Inherited from void*

**Returns:** *void*

___

###  showFullScreen

▸ **showFullScreen**(): *void*

*Inherited from void*

**Returns:** *void*

___

###  showMaximized

▸ **showMaximized**(): *void*

*Inherited from void*

**Returns:** *void*

___

###  showMinimized

▸ **showMinimized**(): *void*

*Inherited from void*

**Returns:** *void*

___

###  showNormal

▸ **showNormal**(): *void*

*Inherited from void*

**Returns:** *void*

___

###  size

▸ **size**(): *QSize*

*Inherited from void*

**Returns:** *QSize*

___

###  styleSheet

▸ **styleSheet**(): *string*

*Inherited from void*

**Returns:** *string*

___

###  testAttribute

▸ **testAttribute**(`attribute`: WidgetAttribute): *boolean*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`attribute` | WidgetAttribute |

**Returns:** *boolean*

___

###  update

▸ **update**(): *void*

*Inherited from void*

**Returns:** *void*

___

###  updateGeometry

▸ **updateGeometry**(): *void*

*Inherited from void*

**Returns:** *void*

___

###  windowOpacity

▸ **windowOpacity**(): *number*

*Inherited from void*

**Returns:** *number*

___

###  windowState

▸ **windowState**(): *number*

*Inherited from void*

**Returns:** *number*

___

###  windowTitle

▸ **windowTitle**(): *string*

*Inherited from void*

**Returns:** *string*
